Page MenuHome

Blender 2.8 UI designs (parent task)
Confirmed, NormalPublicDESIGN

Description

This is a parent task for all the confirmed UI tasks for Blender 2.8. We are targeting these changes for Blender 2.80. Other UI and tools updates can be added for future releases.

This list serves as a reference for developers, and is especially important for after the Code Quest has ended. These items are grouped by topic here:

Tools

  • T55036 Tool System Todo
  • T54858 Command Settings Cleanup
  • T55043 Tool Settings Editor
  • T54885 2.8 UI Tools: Toolbar Ordering
  • T54582 2.8 UI Tools: Tools Design
  • T55039 2.8 UI Tools: Tool Tweaking UI
  • T55027 2.8 UI Tools: Favourites Bar / Specials Menu Design
  • T54950 3D Cursor Design
  • T55386 2.8 UI Tools: Top Bar, Tool Properties & Toolbar Update
  • T54661 Tools Manipulators design

Asset Manager

Keymaps

  • (Todo) Input Device-Agnostic Keymap
  • T55162 Blender Default Keymap Changes
  • T54963 Industry Compatible Keymap

Viewport

  • T54723 Viewport Manipulator Design
  • T54908 Workbench & Shading UI design

Addons

Outliner & Collections

  • T54707 Outliner Collections Interaction Design

Status Bar

Properties Editor

  • T54951 Properties Editor Design
  • T54862 Multi-Object Properties Editing

Top Bar & Workspaces

  • (Todo) Workspaces & Mode design

Default User Experience

Other

  • T55353 Multi-Object Edit Mode/Pose Mode/Sculpt Mode UI
  • T54989 FaceMaps Phase 1: bone selection & bone display

Related Objects

StatusSubtypeAssignedTask
ConfirmedDESIGNWilliam Reynish (billreynish)
DuplicateDESIGNCampbell Barton (campbellbarton)
InvalidDESIGNCampbell Barton (campbellbarton)
ResolvedDESIGNJeroen Bakker (jbakker)
InvalidTO DOClément Foucault (fclem)
ResolvedTO DOWilliam Reynish (billreynish)
ResolvedTO DOBrecht Van Lommel (brecht)
DuplicateTO DOBrecht Van Lommel (brecht)
ResolvedTO DOBrecht Van Lommel (brecht)
ResolvedDESIGNWilliam Reynish (billreynish)
ResolvedDESIGNCampbell Barton (campbellbarton)
InvalidDESIGNWilliam Reynish (billreynish)
ResolvedDESIGNWilliam Reynish (billreynish)
ConfirmedDESIGNWilliam Reynish (billreynish)
InvalidDESIGNBrecht Van Lommel (brecht)
InvalidDESIGNWilliam Reynish (billreynish)
ConfirmedDESIGNCampbell Barton (campbellbarton)
InvalidDESIGNCampbell Barton (campbellbarton)
InvalidDESIGNWilliam Reynish (billreynish)
ResolvedDESIGNCampbell Barton (campbellbarton)
ResolvedDESIGNCampbell Barton (campbellbarton)
InvalidDESIGNWilliam Reynish (billreynish)
ResolvedDESIGNWilliam Reynish (billreynish)
ResolvedTO DOCampbell Barton (campbellbarton)
ConfirmedTO DOCampbell Barton (campbellbarton)
ConfirmedDESIGNWilliam Reynish (billreynish)
DuplicateTO DOAbid Maqbool (cto.abid)
ResolvedDESIGNBrecht Van Lommel (brecht)
InvalidTO DOCampbell Barton (campbellbarton)
ResolvedDESIGNWilliam Reynish (billreynish)
ResolvedDESIGNWilliam Reynish (billreynish)
ResolvedTO DOJulian Eisel (Severin)
ResolvedDESIGNWilliam Reynish (billreynish)

Event Timeline

William Reynish (billreynish) lowered the priority of this task from 90 to 50.Jun 11 2018, 12:29 PM

Not entirely UI related, but do you have any plans to remove Hemi type lamps from the add menu and Blender entirely?
They were only really supported by Blender Internal, the old GLSL viewport and Blender Game Engine, which were all removed.
Cycles never really needed those, and were interpreted as point lamps AFAICT, and with the introduction of EEVEE it seems they are no longer useful.

Brecht Van Lommel (brecht) changed the status of subtask T54908: Workbench UX design from Unknown Status to Resolved.Aug 13 2018, 2:13 PM
Brecht Van Lommel (brecht) changed the status of subtask T54885: 2.8 UI Tools: Toolbar Ordering from Unknown Status to Unknown Status.Aug 15 2018, 4:05 PM
Campbell Barton (campbellbarton) changed the status of subtask T54858: Command Settings Cleanup from Unknown Status to Resolved.Aug 16 2018, 4:56 AM
Brecht Van Lommel (brecht) changed the status of subtask T54858: Command Settings Cleanup from Resolved to Unknown Status.Aug 22 2018, 4:21 PM
Campbell Barton (campbellbarton) changed the status of subtask T54858: Command Settings Cleanup from Unknown Status to Resolved.Sep 10 2018, 11:17 PM
Brecht Van Lommel (brecht) changed the status of subtask T54663: Multi-Object Edit Mode Design from Unknown Status to Unknown Status.Sep 28 2018, 3:46 PM
This comment was removed by sher (UncleMesher).
Campbell Barton (campbellbarton) changed the status of subtask T54582: 2.8 UI Tools: Tools Design from Unknown Status to Unknown Status.Oct 23 2018, 2:15 AM
Campbell Barton (campbellbarton) changed the status of subtask T55043: Tool Settings Editor from Unknown Status to Resolved.Oct 23 2018, 2:18 AM
Brecht Van Lommel (brecht) changed the status of subtask T54723: Viewport Manipulator Design from Resolved to Unknown Status.Nov 1 2018, 4:25 PM
Campbell Barton (campbellbarton) changed the status of subtask T54723: Viewport Manipulator Design from Unknown Status to Resolved.Nov 1 2018, 11:04 PM
Sergey Sharybin (sergey) changed the status of subtask T54723: Viewport Manipulator Design from Resolved to Unknown Status.Nov 2 2018, 10:16 AM
Campbell Barton (campbellbarton) changed the status of subtask T54723: Viewport Manipulator Design from Unknown Status to Resolved.Nov 5 2018, 12:49 AM
Brecht Van Lommel (brecht) changed the status of subtask T54989: FaceMaps Phase 1: bone selection & bone display from Unknown Status to Unknown Status.Nov 19 2018, 1:29 PM
Brecht Van Lommel (brecht) changed the status of subtask T54989: FaceMaps Phase 1: bone selection & bone display from Unknown Status to Unknown Status.
Brecht Van Lommel (brecht) changed the status of subtask T55407: 2.8: Addons UI from Unknown Status to Unknown Status.
William Reynish (billreynish) changed the status of subtask T54711: 2.8 UI: Small, independant UI tweaks from Unknown Status to Unknown Status.Nov 29 2018, 6:02 PM
Campbell Barton (campbellbarton) changed the status of subtask T55162: Blender 2.8 Blender Keymap changes from Unknown Status to Unknown Status.Mar 5 2019, 2:05 AM
William Reynish (billreynish) changed the status of subtask T54963: Industry Compatible Keymap from Unknown Status to Resolved.Apr 15 2019, 12:02 PM
William Reynish (billreynish) changed the status of subtask T55353: Multi-Object Mode User Interface from Unknown Status to Unknown Status.Aug 21 2019, 11:22 AM